Issue 122356 - SDK broken after 3 layer removal
SDK broken after 3 layer removal
Status: RESOLVED FIXED
Product: App Dev
Classification: Unclassified
Component: sdk
4.0.0-dev
All All
: P3 normal
: 4.0.0
Assigned To: jsc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 21:08 UTC by Ariel Constenla-Haile
Modified: 2013-07-12 11:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
Windows 7 screen shot (21.84 KB, image/png)
2013-06-05 15:09 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-05-21 21:08:31 UTC
The SDK is broken after the 3 layer removal.
On Linux, it still install in /opt/openoffice/basis4.0/sdk/

Running the set-up script:

]$ /opt/openoffice/basis4.0/sdk/setsdkenv_unix 

 ************************************************************************
 *
 *  You have to configure your SDK environment first before you can
 *  can use it! The configuration has to be done only once.
 *
 ************************************************************************

sh: line 0: cd: /opt/openoffice/basis4.0/sdk/../ure-link: No such file or directory
Comment 1 Ariel Constenla-Haile 2013-05-21 21:38:49 UTC
While setting up the environment somehow works:


 ************************************************************************
 * ... your SDK environment has been prepared.
 * For each time you want to use this configured SDK environment, you
 * have to run the "setsdkenv_unix" script file!
 * Alternatively can you source one of the scripts
 *   "/home/ariel/apacheopenoffice4.0_sdk/localhost/setsdkenv_unix.sh"
 * to get an environment without starting a new shell.
 ************************************************************************


 ************************************************************************
 *
 * SDK environment is prepared for Linux
 *
 * SDK = /opt/openoffice/basis4.0/sdk
 * Office = /opt/openoffice4
 * Office Base = /opt/openoffice/basis4.0
 * URE = 
 * Make = /usr/bin
 * Zip = /usr/bin
 * cat = /usr/bin
 * sed = /usr/bin
 * C++ Compiler = /usr/lib64/ccache
 * Java = /usr/lib/jvm/java-openjdk
 * SDK Output directory = /home/ariel/aoo/onelayer/sdk/apacheopenoffice4.0_sdk
 * Auto deployment = NO
 *
 ************************************************************************

libraries fail to load:


]$ cd $OO_SDK_HOME         
[ariel@localhost sdk]$ cd examples/cpp/complextoolbarcontrols/
[ariel@localhost complextoolbarcontrols]$ make
mkdir -p /home/ariel/aoo/onelayer/sdk/apacheopenoffice4.0_sdk/LINUXexample.out/misc
rm -f /home/ariel/aoo/onelayer/sdk/apacheopenoffice4.0_sdk/LINUXexample.out/misc/oosdk_cpp_types.flag
"/opt/openoffice/basis4.0/sdk/bin/cppumaker" -Gc -BUCR -O/home/ariel/aoo/onelayer/sdk/apacheopenoffice4.0_sdk/LINUXexample.out/inc "/types.rdb" "/opt/openoffice/basis4.0/program/offapi.rdb"
/opt/openoffice/basis4.0/sdk/bin/cppumaker: error while loading shared libraries: libuno_sal.so.3: cannot open shared object file: No such file or directory
make: *** [/home/ariel/aoo/onelayer/sdk/apacheopenoffice4.0_sdk/LINUXexample.out/misc/oosdk_cpp_types.flag] Error 127
Comment 2 jsc 2013-05-22 07:15:46 UTC
The SDK is still on my todo list and I will fix it asap
Comment 3 SVN Robot 2013-05-31 07:23:17 UTC
"jsc" committed SVN revision 1488117 into trunk:
#122356# adapt SDK config etc. to 3layer changes
Comment 4 SVN Robot 2013-05-31 07:27:08 UTC
"jsc" committed SVN revision 1488119 into trunk:
#122356# rename toolkit lib due to conflicts on MacOS, it's a workaround for ...
Comment 5 jsc 2013-05-31 08:36:56 UTC
config file of SDK changed to reflect the 3lyer related changes. Initial tests already completed.

More QA is in progress ...
Comment 6 SVN Robot 2013-06-03 10:16:23 UTC
"jsc" committed SVN revision 1488949 into trunk:
#122356# add mistakenly removed licene header
Comment 7 Ariel Constenla-Haile 2013-06-05 15:09:30 UTC
Created attachment 80781 [details]
Windows 7 screen shot

The SDK is installing by default in C:\Program Files (x86)\OpenOffice 4\Basis

The Basis folder does not exist anymore after the 3 layer removal.
Comment 8 SVN Robot 2013-06-25 11:29:37 UTC
"jsc" committed SVN revision 1496422 into trunk:
#122356# patch for generated javadoc index
Comment 9 SVN Robot 2013-06-27 13:20:19 UTC
"jsc" committed SVN revision 1497344 into trunk:
#122356# correct used variable name
Comment 10 SVN Robot 2013-06-27 13:21:43 UTC
"jsc" committed SVN revision 1497345 into trunk:
#122356# quote rdb path, windows spaces in paths
Comment 11 jsc 2013-06-28 11:51:33 UTC
fixed on trunk
Comment 12 jsc 2013-06-28 11:52:39 UTC
needs verification